/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class CommonItemBaseVM : FguiViewModel
    {
        public GLoader QualityImg { get; private set; }
        public GLoader ItemIcon { get; private set; }
        public GTextField NameLabel { get; private set; }
        public GTextField CountLabel { get; private set; }
        public GTextField LvLabel { get; private set; }
        public GButton ItemBtn { get; private set; }
        public GImage MaskImg { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            QualityImg = panel.GetChild("QualityImg") as GLoader;
            ItemIcon = panel.GetChild("ItemIcon") as GLoader;
            NameLabel = panel.GetChild("NameLabel") as GTextField;
            CountLabel = panel.GetChild("CountLabel") as GTextField;
            LvLabel = panel.GetChild("LvLabel") as GTextField;
            ItemBtn = panel.GetChild("ItemBtn") as GButton;
            MaskImg = panel.GetChild("MaskImg") as GImage;

        }
    }
}